%define	name	kernel-alert
%define	version	0.7
%define	release	1mdk

Summary:	Alerts you by e-mail when new kernels are released.
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		System/Kernel and hardware
URL:		http://www.faceprint.com/software.phtml
Source:		%{name}-%{version}.tar.bz2
Requires:	perl-IO-stringy perl-MIME-tools perl-MailTools perl-Net-Finger
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
A perl script that will e-mail you when new Linux kernels are
released, and optionally attach the patch to the e-mail and/or
run a script of your choosing. Useful for those of you who live
for new kernels (you know who you are :-)

%prep
rm -rf %{buildroot}

%setup -q -c -n %{name}-%{version}

%build

%install
rm -rf %{buildroot}
install -d %{buildroot}%{_bindir}/
install -m 755 %{name} %{buildroot}%{_bindir}/%{name}.pl

%post
echo "You should probably run and initialize %{_bindir}/%{name}.pl, and then"
echo "add %{_bindir}/%{name}.pl to your crontab... (just a hint...)"

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/%{name}.pl

%changelog
* Sat Dec  8 2001 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.7-1mdk
- update to 0.7

* Sun Dec 2 2001 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.6-2mdk
- needs perl-Net-Finger too..., it's hungry...

* Sun Dec 2 2001 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.6-1mdk
- initial cooker contrib
- yes, i like small apps like this :)

